Subject: Re: [PATCH/RFC/GSoC 01/17] perf: introduce performance tests for git-rebase

From: Thomas Gummerer <[email-masked]>
Date: Fri, 18 Mar 2016 12:01:34 +0100

On 03/16, Johannes Schindelin wrote:
> Hi Paul,
> 
> On Wed, 16 Mar 2016, Paul Tan wrote:
> 
> > On Wed, Mar 16, 2016 at 3:58 PM, Johannes Schindelin
> > <[email-masked]> wrote:
> > >
> > > On Sat, 12 Mar 2016, Paul Tan wrote:
> > >
> > >> diff --git a/t/perf/p3404-rebase-interactive.sh b/t/perf/p3404-rebase-interactive.sh
> > >> new file mode 100755
> > >> index 0000000..aaca105
> > >> --- /dev/null
> > >> +++ b/t/perf/p3404-rebase-interactive.sh
> > >> @@ -0,0 +1,26 @@
> > >>
> > >> [...]
> > >>
> > >> +test_perf 'rebase -i --onto master^' '
> > >> +     git checkout perf-topic-branch &&
> > >> +     git reset --hard perf-topic-branch-initial &&
> > >> +     GIT_SEQUENCE_EDITOR=: git rebase -i --onto master^ master
> > >> +'
> > >
> > > This measures the performance of checkout && reset && rebase -i. Maybe we
> > > should only test rebase -i?
> > 
> > test_perf runs the same script multiple times, so we need to reset
> > --hard at least to undo the changes of the rebase.
> > 
> > I think we can remove the reset if we use rebase -f and rebase onto
> > the same base, but -f was not implemented in this patch series.
> 
> Hrm. rebase -f just makes the reset an implicit part of the rebase, so it
> seems we cannot perf *just* the rebase. We are stuck with perf'ing also
> the reset. Sad.

I had the same problem back when I was working on index-v5 and posted
a patch series.  The discussion about it is at [1].  Maybe it could be
worth resurrecting?

[1] http://thread.gmane.org/gmane.comp.version-control.git/[email-masked]

-- 
Thomas